object OptionsSelfD_F: TOptionsSelfD_F
  Left = 726
  Top = 276
  BorderStyle = bsDialog
  Caption = 'Self-destruct Options'
  ClientHeight = 385
  ClientWidth = 447
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  DesignSize = (
    447
    385)
  PixelsPerInch = 96
  TextHeight = 13
  object pbApply: TButton
    Left = 360
    Top = 352
    Width = 77
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = '&Apply'
    TabOrder = 3
    OnClick = pbApplyClick
  end
  object pbCancel: TButton
    Left = 276
    Top = 352
    Width = 77
    Height = 25
    Anchors = [akRight, akBottom]
    Cancel = True
    Caption = 'Cancel'
    ModalResult = 2
    TabOrder = 2
    OnClick = pbCancelClick
  end
  object pbOK: TButton
    Left = 192
    Top = 352
    Width = 77
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'OK'
    Default = True
    ModalResult = 1
    TabOrder = 1
    OnClick = pbOKClick
  end
  object pcOptionsSelfD: TPageControl
    Left = 0
    Top = 0
    Width = 447
    Height = 341
    ActivePage = tsEnable
    Align = alTop
    TabOrder = 0
    object tsEnable: TTabSheet
      Caption = 'Enable'
      ImageIndex = 4
      object GroupBox4: TGroupBox
        Left = 40
        Top = 24
        Width = 365
        Height = 225
        Caption = 'WARNING:'
        Color = clRed
        ParentColor = False
        TabOrder = 0
        object Label5: TLabel
          Left = 65
          Top = 56
          Width = 234
          Height = 13
          Caption = 'These settings are, by definition, DESTRUCTIVE.'
        end
        object Label3: TLabel
          Left = 41
          Top = 32
          Width = 283
          Height = 13
          Caption = 'This dialog contains options for ADVANCED USERS ONLY.'
        end
        object Label6: TLabel
          Left = 63
          Top = 84
          Width = 239
          Height = 26
          Caption = 
            'If you are sure you wish to enable the self-destruct capabilitie' +
            's of this program, check both boxes.'
          WordWrap = True
        end
        object ckEnableSelfDestructFacilities1: TCheckBox
          Left = 100
          Top = 128
          Width = 165
          Height = 25
          Caption = 'Enable Self-destruct facilities &1'
          Color = clRed
          ParentColor = False
          TabOrder = 0
          OnClick = ckEnableSelfDestructFacilitiesClick
        end
        object ckEnableSelfDestructFacilities2: TCheckBox
          Left = 100
          Top = 160
          Width = 165
          Height = 25
          Alignment = taLeftJustify
          Caption = 'Enable Self-destruct facilities &2'
          TabOrder = 1
          OnClick = ckEnableSelfDestructFacilitiesClick
        end
      end
    end
    object tsTriggers: TTabSheet
      Caption = 'Triggers'
      ImageIndex = 1
      object GroupBox3: TGroupBox
        Left = 107
        Top = 50
        Width = 225
        Height = 159
        Caption = 'Triggers'
        TabOrder = 0
        object ckEnableSelfDHotkey: TCheckBox
          Left = 12
          Top = 20
          Width = 157
          Height = 21
          Caption = 'Enable self-destruct &hotkey'
          TabOrder = 0
          OnClick = SetApplyButton
        end
        object ckEnableSerialPortTrigger: TCheckBox
          Left = 12
          Top = 64
          Width = 145
          Height = 17
          Caption = 'Enable &serial port trigger'
          TabOrder = 2
          OnClick = SetApplyButton
        end
        object ckEnableInternetTrigger: TCheckBox
          Left = 12
          Top = 84
          Width = 209
          Height = 17
          Caption = 'Enable self-destruct trigger via Internet'
          TabOrder = 3
          OnClick = SetApplyButton
        end
        object ckEnableMenuitemTrigger: TCheckBox
          Left = 12
          Top = 44
          Width = 169
          Height = 17
          Caption = 'Enable self-destruct &menuitem'
          TabOrder = 1
          OnClick = SetApplyButton
        end
        object pbConfigTriggers: TButton
          Left = 60
          Top = 116
          Width = 105
          Height = 25
          Caption = '&Configure Triggers...'
          TabOrder = 4
          OnClick = pbConfigTriggersClick
        end
      end
    end
    object tsTriggerTestMode: TTabSheet
      Caption = 'Trigger Test Mode'
      ImageIndex = 4
      object GroupBox6: TGroupBox
        Left = 43
        Top = 38
        Width = 357
        Height = 197
        Caption = 'Trigger test mode'
        TabOrder = 0
        object Label13: TLabel
          Left = 12
          Top = 100
          Width = 328
          Height = 26
          Caption = 
            'Whenever trigger test mode is active, a dialog will appear once ' +
            'every two minutes to warn you of this fact'
          WordWrap = True
        end
        object Label12: TLabel
          Left = 12
          Top = 52
          Width = 331
          Height = 39
          Caption = 
            'When trigger test mode is active, whenever a trigger is set off,' +
            ' instead of running the self-destruct sequence, a dialog will ap' +
            'pear on the screen informing you of the fact.'
          WordWrap = True
        end
        object Label11: TLabel
          Left = 13
          Top = 20
          Width = 308
          Height = 26
          Caption = 
            'Trigger test mode allows you to verify the correct operation of ' +
            'the triggers you have set.'
          WordWrap = True
        end
        object Label14: TLabel
          Left = 16
          Top = 168
          Width = 292
          Height = 13
          Caption = 
            'Note: This option will only take effect after this dialog is clo' +
            'sed'
          WordWrap = True
        end
        object ckTriggerTestMode: TCheckBox
          Left = 108
          Top = 140
          Width = 141
          Height = 17
          Caption = '&Enable trigger test mode'
          TabOrder = 0
          OnClick = SetApplyButton
        end
      end
    end
    object tsTargets: TTabSheet
      Caption = 'Targets'
      ImageIndex = 5
      object Label4: TLabel
        Left = 12
        Top = 8
        Width = 258
        Height = 13
        Caption = '&On self-destruct, destroy the following targets (in order):'
        FocusControl = lbTargetList
      end
      object lbTargetList: TListBox
        Left = 12
        Top = 28
        Width = 369
        Height = 201
        Style = lbOwnerDrawFixed
        ItemHeight = 16
        MultiSelect = True
        PopupMenu = muAddEditRemove
        TabOrder = 0
        OnClick = lbTargetListClick
        OnDblClick = lbTargetListDblClick
        OnDrawItem = lbTargetListDrawItem
      end
      object pbUp: TButton
        Left = 388
        Top = 68
        Width = 45
        Height = 25
        Caption = '&Up'
        TabOrder = 1
        OnClick = pbUpClick
      end
      object pbDown: TButton
        Left = 388
        Top = 104
        Width = 45
        Height = 25
        Caption = '&Down'
        TabOrder = 2
        OnClick = pbDownClick
      end
      object pbEdit: TButton
        Left = 160
        Top = 236
        Width = 77
        Height = 25
        Caption = '&Edit...'
        TabOrder = 4
        OnClick = pbEditClick
      end
      object pbRemove: TButton
        Left = 276
        Top = 236
        Width = 77
        Height = 25
        Caption = '&Remove'
        TabOrder = 5
        OnClick = pbRemoveClick
      end
      object ckDestroyAllMountedDrives: TCheckBox
        Left = 12
        Top = 268
        Width = 241
        Height = 21
        Caption = 'Additionally, destroy all mounted &volume files'
        TabOrder = 6
        OnClick = SetApplyButton
      end
      object ckQuickShredMounted: TCheckBox
        Left = 32
        Top = 288
        Width = 233
        Height = 17
        Caption = '&QuickShred mounted drives being shredded'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentFont = False
        TabOrder = 7
        OnClick = SetApplyButton
      end
      object pbAdd: TButton
        Left = 40
        Top = 236
        Width = 77
        Height = 25
        Caption = '&Add...'
        TabOrder = 3
        OnClick = pbAddClick
      end
    end
    object TabSheet1: TTabSheet
      Caption = 'System Clock'
      ImageIndex = 5
      object GroupBox1: TGroupBox
        Left = 45
        Top = 50
        Width = 349
        Height = 157
        Caption = 'Randomize system date/time'
        TabOrder = 0
        object Label2: TLabel
          Left = 64
          Top = 44
          Width = 45
          Height = 13
          Caption = '&Between:'
        end
        object Label7: TLabel
          Left = 88
          Top = 96
          Width = 21
          Height = 13
          Caption = '&and:'
        end
        object ckRandomizeClock: TCheckBox
          Left = 16
          Top = 20
          Width = 285
          Height = 17
          Caption = 'On self destruct, &set system clock to a random time/date'
          TabOrder = 0
          OnClick = SetApplyButton
        end
        object pnlRandomClockStart: TPanel
          Left = 112
          Top = 40
          Width = 221
          Height = 53
          TabOrder = 1
          object dtpRandomClockStartDate: TDateTimePicker
            Left = 24
            Top = 24
            Width = 93
            Height = 21
            Date = 36937.681318101850000000
            Time = 36937.681318101850000000
            TabOrder = 0
            OnChange = SetApplyButton
          end
          object dtpRandomClockStartTime: TDateTimePicker
            Left = 120
            Top = 24
            Width = 93
            Height = 21
            Date = 36937.681318101850000000
            Time = 36937.681318101850000000
            Kind = dtkTime
            TabOrder = 1
            OnChange = SetApplyButton
          end
          object rbRandomizeClockStartCurrent: TRadioButton
            Left = 4
            Top = 4
            Width = 113
            Height = 17
            Caption = 'Current date/time'
            Checked = True
            TabOrder = 2
            TabStop = True
            OnClick = SetApplyButton
          end
          object rbUserSpecifiedStartDateTime: TRadioButton
            Left = 4
            Top = 24
            Width = 17
            Height = 17
            TabOrder = 3
            OnClick = SetApplyButton
          end
        end
        object pnlRandomClockEnd: TPanel
          Left = 112
          Top = 92
          Width = 221
          Height = 53
          TabOrder = 2
          object dtpRandomClockEndDate: TDateTimePicker
            Left = 24
            Top = 24
            Width = 93
            Height = 21
            Date = 36937.681318101850000000
            Time = 36937.681318101850000000
            TabOrder = 0
            OnChange = SetApplyButton
          end
          object dtpRandomClockEndTime: TDateTimePicker
            Left = 120
            Top = 24
            Width = 93
            Height = 21
            Date = 36937.681318101850000000
            Time = 36937.681318101850000000
            Kind = dtkTime
            TabOrder = 1
            OnChange = SetApplyButton
          end
          object rbRandomizeClockEndCurrent: TRadioButton
            Left = 4
            Top = 4
            Width = 113
            Height = 17
            Caption = 'Current date/time'
            Checked = True
            TabOrder = 2
            TabStop = True
            OnClick = SetApplyButton
          end
          object rbUserSpecifiedEndDateTime: TRadioButton
            Left = 4
            Top = 24
            Width = 17
            Height = 17
            TabOrder = 3
            OnClick = SetApplyButton
          end
        end
      end
    end
    object tsAdditional: TTabSheet
      Caption = 'Additional'
      ImageIndex = 5
      object GroupBox2: TGroupBox
        Left = 46
        Top = 36
        Width = 346
        Height = 85
        Caption = 'Run executable on self-destruct'
        TabOrder = 0
        object Label1: TLabel
          Left = 36
          Top = 52
          Width = 56
          Height = 13
          Caption = '&Executable:'
          FocusControl = edAdditionalExeFilename
        end
        object edAdditionalExeFilename: TEdit
          Left = 96
          Top = 48
          Width = 213
          Height = 21
          TabOrder = 1
          Text = 'edAdditionalExeFilename'
          OnChange = SetApplyButton
        end
        object ckSelfDAdditionalExeEnable: TCheckBox
          Left = 16
          Top = 24
          Width = 285
          Height = 21
          Caption = '&Run user specified executable on self-destruct'
          Color = clBtnFace
          ParentColor = False
          TabOrder = 0
          OnClick = SetApplyButton
        end
        object pbBrowseUserExecutable: TButton
          Left = 312
          Top = 48
          Width = 21
          Height = 21
          Caption = '...'
          TabOrder = 2
          OnClick = pbBrowseUserExecutableClick
        end
      end
      object GroupBox5: TGroupBox
        Left = 47
        Top = 160
        Width = 345
        Height = 97
        Caption = 'Stealth self-destruct'
        TabOrder = 1
        object Label10: TLabel
          Left = 36
          Top = 40
          Width = 233
          Height = 39
          Caption = 
            'Note: This will remove the tray icon at the start of self-destru' +
            'ct, and exit SecureTrayUtil after it completes.'
          WordWrap = True
        end
        object ckTerminateApp: TCheckBox
          Left = 18
          Top = 20
          Width = 281
          Height = 21
          Caption = '&Conceal operation of self-destruct'
          TabOrder = 0
          OnClick = SetApplyButton
        end
      end
    end
  end
  object OpenDialog: TOpenDialog
    Options = [ofHideReadOnly, ofPathMustExist, ofFileMustExist, ofEnableSizing]
    Title = 'Locate ScramDisk Executable'
    Left = 140
    Top = 340
  end
  object muAddEditRemove: TPopupMenu
    Left = 48
    Top = 340
    object miAdd: TMenuItem
      Caption = 'Add...'
      OnClick = pbAddClick
    end
    object miEdit: TMenuItem
      Caption = 'Edit...'
      OnClick = pbEditClick
    end
    object miRemove: TMenuItem
      Caption = 'Remove...'
      OnClick = pbRemoveClick
    end
  end
end
